Skip to main content
GET
List UDF attachments
Returns the current service attachments for a UDF, with at most one attachment per service.

Permission

The API key must have the control-plane:organization:view permission.

Autorizações

Authorization
string
header
obrigatório

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Parâmetros de caminho

organizationId
string<uuid>
obrigatório

ID of the requested organization.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
functionName
string
obrigatório

Name of the UDF.

Pattern: ^[A-Za-z][A-Za-z0-9_]*$

Parâmetros de consulta

cursor
string

Cursor returned as nextCursor on the previous page.

limit
integer
padrão:100

Maximum number of records to return per page. Defaults to 100. Maximum is 100.

Intervalo obrigatório: x <= 100

Resposta

Successful response.

result
object[]
obrigatório

Current service attachments for the UDF in this page.

limit
integer
obrigatório

Maximum number of results returned in this page.

totalCount
integer | null
obrigatório

Total number of results across all pages. It has only informative value, thus is not guaranteed and it is provided on a best-effort basis. Null if the total count is unknown.

nextCursor
string | null
obrigatório

Cursor for the next page, to be sent as the cursor query parameter. Null on the last page.

status
integer
obrigatório

HTTP status code.

Exemplo:

200

requestId
string<uuid>
obrigatório

Unique id assigned to every request. UUIDv4

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
Última modificação em 3 de outubro de 2026